<?php

namespace App\Http\Controllers;
use App\Acces;
use Illuminate\Http\Request;

use App\Http\Requests;

class LlistatAccessosController extends Controller
{
    /**
     * LlistatAccessosController constructor.
     */
    public function __construct()
    {
        //midelware per demanar que s'estigui registrat
        $this->middleware('auth');
    }

    /** Llista les sancions
     * @param Request $request
     * @return visata
     */
    public function index(Request $request)
    {
        $accessos = $this->llistarAccessos();
        return view('accessos')->with('accessos', $accessos);

    }

    /** Crida el model per llistar tots els accessos
     * @return mixed
     */
    public function llistarAccessos()
    {
        $acces = new acces();
        //Es pagina el resultat
        $accessos = $acces->getAcces()->paginate(15);
        return $accessos;
    }
}
